Print Friendly

# Class Ext.data.SortTypes

Package: | Ext.data
Class: | SortTypes
Extends: | Object
Defined In: | SortTypes.js

This class is a singleton and cannot be created directly.
Properties - Methods - Events

## Public Properties

Property | Defined By
--- | ---
| stripTagsRE : RegExp | SortTypes
The regular expression used to strip tags

## Public Methods

Method | Defined By
--- | ---
| asDate(`Mixed s`) : Number | SortTypes
Date sorting
| asFloat(`Mixed s`) : Float | SortTypes
Float sorting
| asInt(`Mixed s`) : Number | SortTypes
Integer sorting
| asText(`Mixed s`) : String | SortTypes
Strips all HTML tags to sort on text only
| asUCString(`Mixed s`) : String | SortTypes
Case insensitive string
| asUCText(`Mixed s`) : String | SortTypes
Strips all HTML tags to sort on text only - Case insensitive
| none(`Mixed s`) : Mixed | SortTypes
Default sort that does nothing

## Public Events

This class has no public events.

## Property Details

### stripTagsRE

`public RegExp stripTagsRE`
The regular expression used to strip tags
This property is defined by SortTypes.

## Method Details

### asDate

`public function asDate(`Mixed s`)`
Date sorting
Parameters:

- `s` : Mixed
  The value being converted

Returns:

- `Number`
  The comparison value

This method is defined by SortTypes.

### asFloat

`public function asFloat(`Mixed s`)`
Float sorting
Parameters:

- `s` : Mixed
  The value being converted

Returns:

- `Float`
  The comparison value

This method is defined by SortTypes.

### asInt

`public function asInt(`Mixed s`)`
Integer sorting
Parameters:

- `s` : Mixed
  The value being converted

Returns:

- `Number`
  The comparison value

This method is defined by SortTypes.

### asText

`public function asText(`Mixed s`)`
Strips all HTML tags to sort on text only
Parameters:

- `s` : Mixed
  The value being converted

Returns:

- `String`
  The comparison value

This method is defined by SortTypes.

### asUCString

`public function asUCString(`Mixed s`)`
Case insensitive string
Parameters:

- `s` : Mixed
  The value being converted

Returns:

- `String`
  The comparison value

This method is defined by SortTypes.

### asUCText

`public function asUCText(`Mixed s`)`
Strips all HTML tags to sort on text only - Case insensitive
Parameters:

- `s` : Mixed
  The value being converted

Returns:

- `String`
  The comparison value

This method is defined by SortTypes.

### none

`public function none(`Mixed s`)`
Default sort that does nothing
Parameters:

- `s` : Mixed
  The value being converted

Returns:

- `Mixed`
  The comparison value

This method is defined by SortTypes.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.